RT_TASK_IPC_DELETE(2)

NAME
rt_task_ipc_delete - delete a real-time task created with rt_task_ipc_init

SYNOPSIS
#define MODULE
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/errno.h>
#include <linux/rtf.h>
#include rt_ipc.h

int rt_task_ipc_delete(RT_TASK_IPC * task);

DESCRIPTION
rt_task_ipc_delete deletes a real-time task previously created by a call to rt_task_ipc_init. rt_task_ipc_delete should be used instead of the standard Real-Time Linux function rt_task_delete for tasks created with rt_task_ipc_create. task is the structure with which the task was originally created. If the task was blocked at an rt_sem_wait, rt_mq_send, or rt_mq_receive call, the task is removed from the semaphore or message queue wait queue.

RETURN VALUE
On success, 0 is returned. On failure, a negative value is returned as described below.

ERRORS

-EINVAL
    task does not refer to a valid task.

AUTHOR
Jerry Epplin <JerryEpplin@worldnet.att.net>

SEE ALSO
rt_mq_destroy(2), rt_mq_init(2), rt_mq_receive(2), rt_mq_send(2), rt_task_delete(2), rt_task_ipc_init(2), rt_sem_destroy(2), rt_sem_init(2), rt_sem_post(2), rt_sem_trywait(2), rt_sem_wait(2),